Subject: Re: [OPSAWG] revisions in draft-ietf-opsawg-mud-iot-dns-considerations-01

From: Michael Richardson <[email-masked]>
Date: Mon, 05 Apr 2021 20:23:23 -0400

tirumal reddy <[email-masked]> wrote:
    >> I think that your comment misses the point.  It isn't about DNS
    >> filtering, it's about the MUD controller getting the same view of DNS
    >> as the device.

    > I don't think it is possible for the MUD manager to get the same
    > responses to DNS queries as the IoT device even if both of them use the
    > same DNS recursive server (e.g., successive DNS queries may never
    > resolve to the same IP address).

So, short of deploying SOCKS5 for all IoT devices, what should we do?

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide